diff -Nru arpon-2.0/debian/changelog arpon-2.0/debian/changelog
--- arpon-2.0/debian/changelog	2010-08-19 19:19:10.000000000 +0200
+++ arpon-2.0/debian/changelog	2011-11-04 00:26:01.000000000 +0100
@@ -1,3 +1,14 @@
+arpon (2.0-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix "FTBFS: Libpthread not found!": add patch from Ubuntu / Steve
+    Langasek, Andreas Moog, Daniel T Chen:
+    - debian/patches/fix_multiarch.patch: multiarch libpcap
+      (LP: #747889, #831092)
+    (Closes: #634578, #620459)
+
+ -- gregor herrmann <gregoa@debian.org>  Fri, 04 Nov 2011 00:25:54 +0100
+
 arpon (2.0-2) unstable; urgency=low
 
   * [9ce1735] Fix the default configuration /etc/default/arpon
diff -Nru arpon-2.0/debian/patches/fix_multiarch.patch arpon-2.0/debian/patches/fix_multiarch.patch
--- arpon-2.0/debian/patches/fix_multiarch.patch	1970-01-01 01:00:00.000000000 +0100
+++ arpon-2.0/debian/patches/fix_multiarch.patch	2011-11-04 00:27:00.000000000 +0100
@@ -0,0 +1,47 @@
+Author: Steve Langasek <steve.langasek@ubuntu.com>
+Origin: Ubuntu, https://bugs.launchpad.net/ubuntu/+source/arpon/+bug/747889/+attachment/1966748/+files/arpon-747889.diff
+Bug-Debian: http://bugs.debian.org/620459, http://bugs.debian.org/634578
+Bug-Ubuntu: https://launchpad.net/bugs/747889
+Forwarded: to author email
+Last-Update: <2011-04-02>
+
+--- a/cmake_modules/FindPthread.cmake
++++ b/cmake_modules/FindPthread.cmake
+@@ -16,7 +16,7 @@
+ 
+ find_library(PTHREAD_LIBRARY NAMES ${libpthread} PATH ${CMAKE_LIBRARY_PATH})
+ 
+-if(PTHREAD_INCLUDE_DIR AND PTHREAD_LIB_DIR AND PTHREAD_LIBRARY )
++if(PTHREAD_INCLUDE_DIR AND PTHREAD_LIBRARY )
+   message(STATUS "Found Libphtread.")
+ 
+   if(NOT ${INCLUDE_DIR} MATCHES ${PTHREAD_INCLUDE_DIR})
+@@ -24,7 +24,7 @@
+     set(INCLUDE_DIR "${INCLUDE_DIR} ${PTHREAD_INCLUDE_DIR}")
+   endif(NOT ${INCLUDE_DIR} MATCHES ${PTHREAD_INCLUDE_DIR})
+ 
+-  if(NOT ${LIB_DIR} MATCHES ${PTHREAD_LIB_DIR})
++  if(PTHREAD_LIB_DIR AND NOT ${LIB_DIR} MATCHES ${PTHREAD_LIB_DIR})
+     link_directories(${PTHREAD_LIB_DIR})
+     set(LIB_DIR "${LIB_DIR} ${PTHREAD_LIB_DIR}")
+   endif(NOT ${LIB_DIR} MATCHES ${PTHREAD_LIB_DIR})
+--- a/cmake_modules/FindPCAP.cmake
++++ b/cmake_modules/FindPCAP.cmake
+@@ -16,7 +16,7 @@
+ 
+ find_library(PCAP_LIBRARY NAMES ${libpcap} PATH ${CMAKE_LIBRARY_PATH})
+ 
+-if(PCAP_INCLUDE_DIR AND PCAP_LIB_DIR AND PCAP_LIBRARY )
++if(PCAP_INCLUDE_DIR AND PCAP_LIBRARY )
+   message(STATUS "Found Libpcap.")
+ 
+   if(NOT ${INCLUDE_DIR} MATCHES ${PCAP_INCLUDE_DIR})
+@@ -24,7 +24,7 @@
+     set(INCLUDE_DIR "${INCLUDE_DIR} ${PCAP_INCLUDE_DIR}")
+   endif(NOT ${INCLUDE_DIR} MATCHES ${PCAP_INCLUDE_DIR})
+ 
+-  if(NOT ${LIB_DIR} MATCHES ${PCAP_LIB_DIR})
++  if(PCAP_LIB_DIR AND NOT ${LIB_DIR} MATCHES ${PCAP_LIB_DIR})
+     link_directories(${PCAP_LIB_DIR})
+     set(LIB_DIR "${LIB_DIR} ${PCAP_LIB_DIR}")
+   endif(NOT ${LIB_DIR} MATCHES ${PCAP_LIB_DIR})
diff -Nru arpon-2.0/debian/patches/series arpon-2.0/debian/patches/series
--- arpon-2.0/debian/patches/series	2010-08-19 19:19:10.000000000 +0200
+++ arpon-2.0/debian/patches/series	2011-11-04 00:17:33.000000000 +0100
@@ -1,2 +1,3 @@
 install.patch
 arpon.sarpi.patch
+fix_multiarch.patch
